Package org.apache.sling.scriptingbundle.plugin.maven

# Class MetadataMojo

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.sling.scriptingbundle.plugin.maven.MetadataMojo

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

@Mojo(name="metadata", defaultPhase=PREPARE_PACKAGE) public class MetadataMojo extends org.apache.maven.plugin.AbstractMojo
The `metadata` goal will generate two Maven project properties, namely `org.apache.sling.scriptingbundle.maven.plugin.Require-Capability` and `org.apache.sling.scriptingbundle.maven.plugin.Provide-Capability` which can be used to generate the corresponding OSGi bundle headers for bundles providing scripts executable by a `ScriptEngine`.

## Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

## Constructor Summary

Constructors
Constructor
Description
`MetadataMojo()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MetadataMojo

public MetadataMojo()

## Method Details

### execute

public void execute()